HostingDelivery
Import suppression list
POST
/api/delivery/suppression_lists/importImports suppression list entries from CSV content.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
csv_file_name*string
Original CSV file name.
csv_file_content*string
CSV file content, optionally as a data URL with base64 payload.
csv_file_size?integer
CSV file size in bytes.
Format
int32customer_code?string
Customer code for admin imports.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/suppression_lists/import" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "csv_file_name": "string", "csv_file_content": "string" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}